import Vue from 'vue'
import Vuex from 'vuex'
import getters from './getters'
import share from './modules/share'
import user from './modules/user'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    share,
    user
  },
  getters
})

export default store
